#include <bits/stdc++.h>
using namespace std;
int p,q,r,br,c,f,brs[10000000];
double a,n,m,k,o,s,l;
int main (){
cin>>p>>q>>r>>c>>f;
if(p==2 and q==3 and r==7){
    if(c>=50 and f>=50){
        br=f-c+1;
    }
    else{
      for(int j=1;j<50;j++){
        o=ceil(j/p);
        s=ceil(j/q);
        l=ceil(j/r);
         if((o+s)+l<=j){
        brs[j]=brs[j-1]+1;
        }
         else{
        brs[j]=brs[j-1];
          }
       }
       br=brs[f]-brs[c-1];
    }
    cout<<br<<endl;
}
else{
for (float i=c;i<=f;i++){
  a=ceil(i/p);
  n=ceil(i/q);
  m=ceil(i/r);
  if((a+n)+m<=i){
    br++;
  }
}
cout<<br<<endl;
}

return 0;
}